/*
 *
 * JBoss, the OpenSource J2EE webOS
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */

package org.jboss.ejb3.test.cache.unit;

//import java.rmi.*;


import junit.framework.Test;
import org.jboss.jmx.adaptor.rmi.RMIAdaptor;
import org.jboss.test.JBossTestCase;

import javax.management.MBeanServerConnection;
import javax.management.ObjectName;

/**
 * Sample client for the jboss container.
 *
 * @author <a href="mailto:bill@burkecentral.com">Bill Burke</a>
 * @version $Id: CacheUnitTestCase.java,v 1.2.2.4 2005/09/14 22:19:02 bill Exp $
 */

public class CacheUnitTestCase
extends JBossTestCase
{
   org.apache.log4j.Category log = getLog();

   static boolean deployed = false;
   static int test = 0;

   public CacheUnitTestCase(String name)
   {

      super(name);

   }

   public void testSimple() throws Exception
   {
	   MBeanServerConnection server = getServer();
      ObjectName testerName = new ObjectName("jboss.ejb3:service=Tester,test=cache");
      Object[] params = {};
      String[] sig = {};
      server.invoke(testerName, "test", params, sig);
   }

   public static Test suite() throws Exception
   {
      return getDeploySetup(CacheUnitTestCase.class, "testejb3-cache-service.xml, cache-test.sar");
   }

}
